Quassel IRC - Bug #1032

Quassel client cannot unset both identity SSL key and certificate
10/20/2010 02:59 PM - kode54

Status: Resolved Start date: 10/20/2010
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.9.0

Version: 0.7-pre 0S: Any
Description

Currently, the client supports setting both a SSL key and certificate with each identity. Unfortunately, it is impossible to remove both
of them.

Opening the configuration dialog for identities, under the Advanced tab, presents Clear buttons for both key and certificate if both are
set. Clicking the Clear button for either activates the Apply button for the Configuration dialog, while clicking both of them disables it
again. Closing the dialog after clicking both of them has the effect of doing nothing. Clearing only one and closing the dialog clears
the one, but then reopening and attempting to clear the other does nothing.

Associated revisions

Revision 1290b01b - 02/20/2013 12:10 AM - Bas Pape

Set key and cert for the temp identity manually

Normally these are synced, but in this case they need to be set manually
for hasChanged to work.

Fixes #1032

History

#1-10/10/2012 11:07 PM - Anonymous

- Target version set to Some future release

MR 152

#2 - 02/20/2013 12:12 AM - Anonymous
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset quassellcommit:1290b01bc264201c31d5e42b94b07ced052cf05d.

#3 - 02/20/2013 07:54 PM - Anonymous

- Target version changed from Some future release to 0.9.0
